package ink.wgink.service.department.pojo.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: SplitDepartmentInfoVO
 * @Description: 拆分部门信息
 * @Author: WangGeng
 * @Date: 2020/6/4 11:52 下午
 * @Version: 1.0
 **/
@ApiModel
public class SplitDepartmentInfoVO extends DepartmentVO {

    @ApiModelProperty(name = "userIds", value = "用户ID列表")
    private String userIds;

    public String getUserIds() {
        return userIds == null ? "" : userIds.trim();
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userIds\":")
                .append("\"").append(userIds).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
